<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'calendar',

    /*
     * Modules.
     */
    'modules'   => ['calendar'],

    
    'calendar'       => [
        'model' => [
            'model' => \Litepie\Calendar\Models\Calendar::class,
            'repository' => \Litepie\Calendar\Repositories\Eloquent\CalendarRepository::class,
            'table' => 'calendars',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'status',  'start',  'end',  'location',  'color',  'details',  'created_by',  'assignee_id',  'slug',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'calendar/calendar',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Calendar',
            'module' => 'Calendar',
        ],
    ],
];
