<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCalendarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: calendars
         */
        Schema::create('calendars', function ($table) {
            $table->increments('id');
            $table->string('title', 30)->nullable();
            $table->string('status', 15)->nullable();
            $table->string('start', 30)->nullable();
            $table->string('end', 30)->nullable();
            $table->string('location', 50)->nullable();
            $table->string('color', 60)->nullable();
            $table->text('details')->nullable();
            $table->text('created_by')->nullable();
            $table->string('assignee_id', 10)->nullable();
            $table->string('slug', 15)->nullable();
            $table->tinyInteger('user_id')->nullable();
            $table->string('user_type', 10)->nullable();
            $table->text('upload_folder')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('calendars');
    }
}
