<?php

// API routes  for calendar.

// Guard routes for calendar
Route::prefix('{guard}/calendar')->group(function () {
    Route::resource('calendar', 'CalendarResourceController');
});



// Public routes for calendar
Route::get('calendars/', 'CalendarPublicController@index');
Route::get('calendar/{slug?}', 'CalendarPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for calendar
            Route::prefix('{guard}/calendar')->group(function () {
                Route::resource('calendar', 'CalendarResourceController');
            });
            
            

            // Public routes for calendar
            Route::get('calendars/', 'CalendarPublicController@index');
            Route::get('calendar/{slug?}', 'CalendarPublicController@show');
        }
    );
}