<?php

namespace Litepie\Calendar\Forms;

use Litepie\Form\FormInterpreter;

class Calendar extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('calendar/calendar/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('calendar/calendar/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('calendar/calendar'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('calendar/calendar'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('calendar/calendar'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('calendar/calendar'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('calendar::calendar.label.name'),
                "placeholder" => trans('calendar::calendar.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('calendar::calendar.label.created_at'),
            'name' => trans('calendar::calendar.label.name'),
            'status' => trans('calendar::calendar.label.status'),
        ];
        self::$groups = [
            'main' => trans('calendar::calendar.groups.main'),
            'details' => trans('calendar::calendar.groups.details'),
            'images' => trans('calendar::calendar.groups.images'),
            'settings' => trans('calendar::calendar.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('calendar::calendar.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('calendar::calendar.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('calendar::calendar.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('calendar::calendar.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.title'),
                "placeholder" => trans('calendar::calendar.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'start' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.start'),
                "placeholder" => trans('calendar::calendar.placeholder.start'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'end' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.end'),
                "placeholder" => trans('calendar::calendar.placeholder.end'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.location'),
                "placeholder" => trans('calendar::calendar.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'color' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.color'),
                "placeholder" => trans('calendar::calendar.placeholder.color'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'details' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.details'),
                "placeholder" => trans('calendar::calendar.placeholder.details'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'created_by' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.created_by'),
                "placeholder" => trans('calendar::calendar.placeholder.created_by'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'assignee_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('calendar::calendar.label.assignee_id'),
                "placeholder" => trans('calendar::calendar.placeholder.assignee_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
