<?php

namespace Litepie\Calendar\Repositories\Eloquent;

use Litepie\Calendar\Interfaces\CalendarRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Calendar\Repositories\Eloquent\Presenters\CalendarItemPresenter;


class CalendarRepository extends BaseRepository implements CalendarRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.calendar.calendar.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.calendar.calendar.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CalendarItemPresenter::class;
    }
}
